# -*- coding: utf-8 -*-
"""
/***************************************************************************
 GugikNmt
                                 A QGIS plugin
 opis
 Generated by Plugin Builder: http://g-sherman.github.io/Qgis-Plugin-Builder/
                              -------------------
        begin                : 2019-10-28
        git sha              : $Format:%H$
        copyright            : (C) 2019 by Jakub Skowroński SKNG UAM
        email                : skowronski.jakub97@gmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
"""
from qgis.PyQt.QtCore import QTranslator, QCoreApplication, Qt
from qgis.PyQt.QtGui import QIcon
from qgis.PyQt.QtWidgets import QAction
from qgis.utils import iface
# Initialize Qt resources from file resources.py

# Import the code for the DockWidget
from gissupport_plugin.modules.base import BaseModule
from gissupport_plugin.modules.gugik_nmt.gui.gugik_nmt_plugin_dockwidget import GugikNmtDockWidget
import os.path


class GugikNmt(BaseModule):
    """QGIS Plugin Implementation."""

    def __init__(self, parent):
        super().__init__(parent)
        
        self.dockwidget = GugikNmtDockWidget()

        iface.addDockWidget(Qt.RightDockWidgetArea, self.dockwidget)
        self.gugik_nmt_action = self.parent.add_action(
            ":/plugins/gissupport_plugin/gugik_nmt/nmt.svg",
            text = "GUGiK NMT",
            callback = lambda state: self.dockwidget.setHidden(not state),
            checkable=True,
            parent=iface.mainWindow(),
            add_to_topmenu=True
        )
        self.dockwidget.visibilityChanged.connect(self.gugik_nmt_action.setChecked)
        self.dockwidget.hide()
    
    def unload(self):
        """ Wyłączenie modułu """
        iface.removeDockWidget(self.dockwidget)
